org.codehaus.groovy.util

## Class SingleKeyHashMap.Entry

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap.Entry
  - - org.codehaus.groovy.util.SingleKeyHashMap.Entry

Enclosing class:
  SingleKeyHashMap

    public static class SingleKeyHashMap.Entry
    extends ComplexKeyHashMap.Entry

### Field Summary

Fields
`Object` `key`

### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap.Entry

`hash, next, value`

### Constructor Summary

Constructors
Constructor and Description
`SingleKeyHashMap.Entry()`

### Method Summary

Methods
`Object` `getKey()`

### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap.Entry

`getValue, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    public Object key

### Constructor Detail

#### SingleKeyHashMap.Entry

    public SingleKeyHashMap.Entry()

### Method Detail

#### getKey

    public Object getKey()